[svn-commits] pabelanger: testsuite/bamboo/trunk r3037 - /bamboo/trunk/bin/tarball_script.sh

SVN commits to the Digium repositories svn-commits at lists.digium.com
Fri Feb 17 09:44:40 CST 2012


Author: pabelanger
Date: Fri Feb 17 09:44:34 2012
New Revision: 3037

URL: http://svnview.digium.com/svn/testsuite?view=rev&rev=3037
Log:
Create tarball script

Added:
    bamboo/trunk/bin/tarball_script.sh   (with props)

Added: bamboo/trunk/bin/tarball_script.sh
URL: http://svnview.digium.com/svn/testsuite/bamboo/trunk/bin/tarball_script.sh?view=auto&rev=3037
==============================================================================
--- bamboo/trunk/bin/tarball_script.sh (added)
+++ bamboo/trunk/bin/tarball_script.sh Fri Feb 17 09:44:34 2012
@@ -1,0 +1,24 @@
+#!/bin/sh
+
+if [ -z "$PROJECT" ]; then
+	echo '$PROJECT not set.'
+	exit 1
+fi
+
+BRANCH=${BRANCH:-trunk}
+REV=${REV}
+URL=${URL:-http://svn.asterisk.org/svn}
+
+VERSION="SVN-${BRANCH}-r${REV}"
+
+ASTDIR="${PROJECT}-1.8~svn.branch.1.8.r${REV}"
+
+svn export ${URL}/${PROJECT}/${BRANCH}@${REV} ${ASTDIR}
+
+cd ${ASTDIR}
+echo ${VERSION} > .version
+touch ChangeLog
+cp .cleancount .lastclean
+cd ..
+
+tar --create --owner 0 --group 0 --gzip --verbose --file ${ASTDIR}.tar.gz ${ASTDIR}/

Propchange: bamboo/trunk/bin/tarball_script.sh
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: bamboo/trunk/bin/tarball_script.sh
------------------------------------------------------------------------------
    svn:keywords = Author Date Id Revision

Propchange: bamboo/trunk/bin/tarball_script.sh
------------------------------------------------------------------------------
    svn:mime-type = text/plain




More information about the svn-commits mailing list